package Communication;

import java.util.Hashtable;

public class Configuration {
	String config = "";
    //String separator = "\r\n";
    String separator = System.getProperty("line.separator");
    Hashtable<String,String> conf = new Hashtable<String,String>();

    public Configuration(String configfile)
    {
        FSClass fsc = new FSClass();
        config = fsc.readFile(configfile);
        if (config.equals("file not found!"))
        {
            System.out.println("Configuration file is not found: "+configfile);
            return;
        }
        String[] ss = config.split(separator);
        for (int i = 0; i < ss.length; i++)
        {
            if (ss[i].length() > 0)
            {
                String[] s = ss[i].split("=");
                String key = s[0].trim().toLowerCase();
                String value = s[1].trim();
                conf.put(key, value);
            }
        }
    }

    public String getParameter(String parameter)
    {
        return (String)conf.get(parameter.toLowerCase());
    }
}
