/**
 * Last Modified by: $Author: mvignati $ On: $Date: 2012/01/26 19:30:05 $
 */
package kaos.core.csi.extension.state;

import kaos.core.csi.extension.KAoSExtensionComponentManagerImpl;
import ri.service.spi.ServiceFactory;

import javax.agent.service.Service;
import javax.agent.service.ServiceException;
import javax.agent.service.ServiceProperties;

/**
 * This class implements the JAS ServiceFactory interface to instantiate a StateMonitorManager and initialize it based on the information provided 
 * in the bootstrap file (currently config\guardConfiguration.cfg) in the section: stateMonitor-service $Revision: 1.4 $
 */
public class StateMonitorFactory implements ServiceFactory
{
    public static final String STATE_MONITOR_TYPE = "stateMonitor-service";

    public StateMonitorFactory()
    {

    }

    public Service getService(ServiceProperties env) throws ServiceException
    {
        StateMonitorManager service = StateMonitorManagerImpl.getInstance();
        ((KAoSExtensionComponentManagerImpl)service).initialize(env);

        return service;
    }
}
