/**
 * Last Modified by: $Author: auszok $
 * On: $Date: 2005/11/28 15:32:55 $
 */

package kaos.core.csi.policy.enforcement;

/**
 *   EnforcerInstantiationException defines an exception to be thrown by the Guard  
 *   during the process of instantiation an enforcer. 
 *
 *   @author         KAoS Team
 *   $Revision: 1.1 $
 */
public class EnforcerInstantiationException extends Exception 
{
    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 1114820382139539073L;

    /**
    *   Constructs a new EnforcerInstantiationException with no detail message.
    */
    public EnforcerInstantiationException () { 
        
        super(); 
    }

    /**
    *   Constructs a new EnforcerInstantiationException with a detail message.
    *   A detail message is a String that describes the exception.
    */
    public EnforcerInstantiationException (String s) { 
        
        super(s); 
    }
}
