package kaos.core.csi.request;

/**
 * Defines an exception to be thrown when the requested action fails.
 *
 *   @author         KAoS Team
 */
public class ActionFailureException  extends Exception 
{

    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = -3222599208039552567L;

    /**
     *   Constructs a new ActionFailureException with no detailed message.
     */
    public ActionFailureException () 
    {    
        super(); 
    }

    /**
     *   Constructs a new ActionFailureException with a detailed message.
     *   A detail message is a String that describes the exception.
     */
    public ActionFailureException (String s) 
    { 
        super(s); 
    }
}
