package kaos.core.csi.usecase.infofed.vocabulary;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class InfoFedActorConcepts
{
	final private static String InfoFedActorOwlURL = "http://ontology.ihmc.us/JBI/InfoFedActor.owl#";

    public static String InfoFedActorOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActorOwlURL); 
	}

     // Concepts
    public static final String Federate = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActorOwlURL + "Federate");

    public static String Federate() { return Federate; };

     // Properties
    public static final String hasMissionId = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActorOwlURL + "hasMissionId");
    public static final String hasSecurityLevel = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActorOwlURL + "hasSecurityLevel");
    public static final String hasPriority = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActorOwlURL + "hasPriority");
    public static final String hasGeoArea = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActorOwlURL + "hasGeoArea");
    public static final String hasLocalFederatePriority = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActorOwlURL + "hasLocalFederatePriority");
    public static final String isOwnedBy = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActorOwlURL + "isOwnedBy");

    public static String hasMissionId() { return hasMissionId; };
    public static String hasSecurityLevel() { return hasSecurityLevel; };
    public static String hasPriority() { return hasPriority; };
    public static String hasGeoArea() { return hasGeoArea; };
    public static String hasLocalFederatePriority() { return hasLocalFederatePriority; };
    public static String isOwnedBy() { return isOwnedBy; };

     // Instances

}
