/**
 * Last Modified by: $Author: rjeffers $
 * On: $Date: 2005/10/06 15:47:30 $
 */
 
package kaos.core.csi.util.tcpSupport;

/**
 *
 * @author KAoS Team
 * $Revision: 1.1 $
 */
public interface ResponseSender
{
   /** 
    * This method is invoked in order to send a response back via tcp sockets.
    *
    * @param response      String containing the response to send.
    *
    */
   public void  sendResponse(String response); 
   
   /** 
    * This method is invoked in order to send a response back via tcp sockets.
    *
    * @return String    containing the id for this ResponseSender.
    *
    */
   public String  getID(); 
   
   
 
}
