/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package kaos.metrics;

/**
 *
 * @author jlott
 */
public abstract class KAoSMetrics {
    public static final String SEND_MESSAGE_ELAPSED_TIME = "sendMessageElapsedTime";
    public static final String SEND_MESSAGE_BYTES = "sendMessageBytes";
    public static final String RECEIVE_MESSAGE_BYTES = "receiveMessageBytes";
    public static final String CHECK_PERMISSION = "checkPermission";
    public static final String GET_OBLIGATIONS = "getObligations";
    public static final String GET_ALLOWED_VALUES_FOR_PROPERTY = "getAllowedValuesForProperty";
    public static final String GET_FORBIDDEN_VALUES_FOR_PROPERTY = "getForbiddenValuesForProperty";
    public static final String ADD_POLICY_IN_ONTOLOGY_ELAPSED_TIME = "addPolicyInOntologyElapsedTime";
    public static final String UPDATE_POLICIES_ELAPSED_TIME = "updatePoliciesElapsedTime";
    public static final String REGISTER_ENTITY_IN_ONTOLOGY_ELAPSED_TIME = "registerEntityInOntologyElapsedTime";
    public static final String REGISTER_ENTITY_IN_DS_ELAPSED_TIME = "registerEntityInDSTotalElapsedTime";
    public static final String REGISTER_GUARD_TIME = "registerGuardTime";
    public static final String REGISTER_AGENT_TIME = "registerAgentTime";

   public static final String Guard_Add_Policy = "guardAddPolicyTime";
   public static final String Guard_Change_Policy = "guardChangePolicyTime";
   public static final String Guard_Remove_Policy = "guardRemovePolicyTime";
   public static final String Guard_Update_Actor_Instances = "guardUpdateActorInstancesTime";
   public static final String Guard_Update_Action_Subclass = "guardUpdateActionSublcassTime";
   public static final String Guard_Update_SubProperty = "guardUpdateSubPropertyTime";
   public static final String Guard_Get_All_Policies = "guardGetAllPoliciesTime";
   public static final String Guard_Get_All_Policy_Msgs = "guardGetAllPolicyMsgsTime";
   public static final String Guard_Get_Policy_Info = "guardGetPolicyInfoTime";
   public static final String Guard_Get_Sorted_Authorization = "guardGetSortedAuthorizationsTime";
   public static final String Guard_Get_Sorted_Obligations = "guardGetSortedObligationsTime";
   public static final String Guard_Remove_All_Policies = "guardRemoveAllPoliciesTime";
   public static final String Guard_PolicyDB_Initialization = "guardPolicyDBInitializationTime";

}
