package kaos.ontology.vocabulary;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class ActionConcepts
{
	final private static String ActionOwlURL = "http://ontology.ihmc.us/Action.owl#";

    public static String ActionOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL); 
	}

     // Concepts
    public static final String AccessAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "AccessAction");
    public static final String Process = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "Process");
    public static final String ReceiveCommunicationAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "ReceiveCommunicationAction");
    public static final String EventHistory = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "EventHistory");
    public static final String ChangeStateAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "ChangeStateAction");
    public static final String MobilityAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "MobilityAction");
    public static final String Action = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "Action");
    public static final String SetActionStatus = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "SetActionStatus");
    public static final String CommunicationAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "CommunicationAction");
    public static final String ConfigureAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "ConfigureAction");
    public static final String MonitorAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "MonitorAction");
    public static final String ResponseAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "ResponseAction");
    public static final String RequestAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "RequestAction");
    public static final String Event = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "Event");

    public static String AccessAction() { return AccessAction; };
    public static String Process() { return Process; };
    public static String ReceiveCommunicationAction() { return ReceiveCommunicationAction; };
    public static String EventHistory() { return EventHistory; };
    public static String ChangeStateAction() { return ChangeStateAction; };
    public static String MobilityAction() { return MobilityAction; };
    public static String Action() { return Action; };
    public static String SetActionStatus() { return SetActionStatus; };
    public static String CommunicationAction() { return CommunicationAction; };
    public static String ConfigureAction() { return ConfigureAction; };
    public static String MonitorAction() { return MonitorAction; };
    public static String ResponseAction() { return ResponseAction; };
    public static String RequestAction() { return RequestAction; };
    public static String Event() { return Event; };

     // Properties
    public static final String hasDataResource = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "hasDataResource");
    public static final String carriesMessage = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "carriesMessage");
    public static final String hasBeginTime = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "hasBeginTime");
    public static final String hasEvent = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "hasEvent");
    public static final String hasFulfillmentDurationValidity = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "hasFulfillmentDurationValidity");
    public static final String replyTo = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "replyTo");
    public static final String requestedBy = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "requestedBy");
    public static final String hasDestination = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "hasDestination");
    public static final String performedBy = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "performedBy");
    public static final String capableOfPerforming = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "capableOfPerforming");
    public static final String hasObjectResource = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "hasObjectResource");
    public static final String hasNewState = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "hasNewState");
    public static final String movingTo = OntologyLanguageTagSelector.selectLanguageForTag(ActionOwlURL + "movingTo");

    public static String hasDataResource() { return hasDataResource; };
    public static String carriesMessage() { return carriesMessage; };
    public static String hasBeginTime() { return hasBeginTime; };
    public static String hasEvent() { return hasEvent; };
    public static String hasFulfillmentDurationValidity() { return hasFulfillmentDurationValidity; };
    public static String replyTo() { return replyTo; };
    public static String requestedBy() { return requestedBy; };
    public static String hasDestination() { return hasDestination; };
    public static String performedBy() { return performedBy; };
    public static String capableOfPerforming() { return capableOfPerforming; };
    public static String hasObjectResource() { return hasObjectResource; };
    public static String hasNewState() { return hasNewState; };
    public static String movingTo() { return movingTo; };

     // Instances

}
