package kaos.ontology.vocabulary;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class ActorConcepts
{
	final private static String ActorOwlURL = "http://ontology.ihmc.us/Actor.owl#";

    public static String ActorOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(ActorOwlURL); 
	}

     // Concepts
    public static final String SoftwareComponent = OntologyLanguageTagSelector.selectLanguageForTag(ActorOwlURL + "SoftwareComponent");
    public static final String SoftwareAgent = OntologyLanguageTagSelector.selectLanguageForTag(ActorOwlURL + "SoftwareAgent");
    public static final String Human = OntologyLanguageTagSelector.selectLanguageForTag(ActorOwlURL + "Human");
    public static final String ArtificialActor = OntologyLanguageTagSelector.selectLanguageForTag(ActorOwlURL + "ArtificialActor");
    public static final String Actor = OntologyLanguageTagSelector.selectLanguageForTag(ActorOwlURL + "Actor");
    public static final String ComputingHardware = OntologyLanguageTagSelector.selectLanguageForTag(ActorOwlURL + "ComputingHardware");
    public static final String NaturalActor = OntologyLanguageTagSelector.selectLanguageForTag(ActorOwlURL + "NaturalActor");
    public static final String Robot = OntologyLanguageTagSelector.selectLanguageForTag(ActorOwlURL + "Robot");

    public static String SoftwareComponent() { return SoftwareComponent; };
    public static String SoftwareAgent() { return SoftwareAgent; };
    public static String Human() { return Human; };
    public static String ArtificialActor() { return ArtificialActor; };
    public static String Actor() { return Actor; };
    public static String ComputingHardware() { return ComputingHardware; };
    public static String NaturalActor() { return NaturalActor; };
    public static String Robot() { return Robot; };

     // Properties
    public static final String controlledBy = OntologyLanguageTagSelector.selectLanguageForTag(ActorOwlURL + "controlledBy");

    public static String controlledBy() { return controlledBy; };

     // Instances

}
