package kaos.ontology.vocabulary;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class EntityConcepts
{
	final private static String EntityOwlURL = "http://ontology.ihmc.us/Entity.owl#";

    public static String EntityOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL); 
	}

     // Concepts
    public static final String ComputingEntity = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "ComputingEntity");
    public static final String LogicalEntity = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "LogicalEntity");
    public static final String AbstractEntity = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "AbstractEntity");
    public static final String SpatioTemporalEntity = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "SpatioTemporalEntity");
    public static final String ProvenanceDescriptor = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "ProvenanceDescriptor");
    public static final String PhysicalEntity = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "PhysicalEntity");
    public static final String RelationalEntity = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "RelationalEntity");
    public static final String Entity = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "Entity");
    public static final String Role = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "Role");
    public static final String State = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "State");
    public static final String NumericEntity = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "NumericEntity");
    public static final String DeonticEntity = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "DeonticEntity");

    public static String ComputingEntity() { return ComputingEntity; };
    public static String LogicalEntity() { return LogicalEntity; };
    public static String AbstractEntity() { return AbstractEntity; };
    public static String SpatioTemporalEntity() { return SpatioTemporalEntity; };
    public static String ProvenanceDescriptor() { return ProvenanceDescriptor; };
    public static String PhysicalEntity() { return PhysicalEntity; };
    public static String RelationalEntity() { return RelationalEntity; };
    public static String Entity() { return Entity; };
    public static String Role() { return Role; };
    public static String State() { return State; };
    public static String NumericEntity() { return NumericEntity; };
    public static String DeonticEntity() { return DeonticEntity; };

     // Properties
    public static final String hasState = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "hasState");
    public static final String hasSubject = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "hasSubject");
    public static final String hasModelProvenance = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "hasModelProvenance");
    public static final String hasRealWorldProvenance = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "hasRealWorldProvenance");
    public static final String hasRole = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "hasRole");
    public static final String hasPart = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "hasPart");
    public static final String isPartOf = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "isPartOf");
    public static final String hasName = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "hasName");

    public static String hasState() { return hasState; };
    public static String hasSubject() { return hasSubject; };
    public static String hasModelProvenance() { return hasModelProvenance; };
    public static String hasRealWorldProvenance() { return hasRealWorldProvenance; };
    public static String hasRole() { return hasRole; };
    public static String hasPart() { return hasPart; };
    public static String isPartOf() { return isPartOf; };
    public static String hasName() { return hasName; };

     // Instances

}
