package kaos.ontology.vocabulary;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class GroupConcepts
{
	final private static String GroupOwlURL = "http://ontology.ihmc.us/Group.owl#";

    public static String GroupOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL); 
	}

     // Concepts
    public static final String GroupActor = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "GroupActor");
    public static final String ExtensionalGroup = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "ExtensionalGroup");
    public static final String IntensionalGroup = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "IntensionalGroup");
    public static final String Group = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "Group");
    public static final String ActorGroup = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "ActorGroup");

    public static String GroupActor() { return GroupActor; };
    public static String ExtensionalGroup() { return ExtensionalGroup; };
    public static String IntensionalGroup() { return IntensionalGroup; };
    public static String Group() { return Group; };
    public static String ActorGroup() { return ActorGroup; };

     // Properties
    public static final String isLeaderOf = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "isLeaderOf");
    public static final String hasPartner = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "hasPartner");
    public static final String hasSubGroup = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "hasSubGroup");
    public static final String isMemberOf = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "isMemberOf");
    public static final String hasMember = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "hasMember");
    public static final String hasLeader = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "hasLeader");
    public static final String isSubGroupOf = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "isSubGroupOf");

    public static String isLeaderOf() { return isLeaderOf; };
    public static String hasPartner() { return hasPartner; };
    public static String hasSubGroup() { return hasSubGroup; };
    public static String isMemberOf() { return isMemberOf; };
    public static String hasMember() { return hasMember; };
    public static String hasLeader() { return hasLeader; };
    public static String isSubGroupOf() { return isSubGroupOf; };

     // Instances

}
