package kaos.ontology.vocabulary;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class RoleValueMapConcepts
{
	final private static String RoleValueMapOwlURL = "http://ontology.ihmc.us/RoleValueMap.owl#";

    public static String RoleValueMapOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(RoleValueMapOwlURL); 
	}

     // Concepts
    public static final String RolePath = OntologyLanguageTagSelector.selectLanguageForTag(RoleValueMapOwlURL + "RolePath");
    public static final String RoleValueMapType = OntologyLanguageTagSelector.selectLanguageForTag(RoleValueMapOwlURL + "RoleValueMapType");
    public static final String RoleValueMap = OntologyLanguageTagSelector.selectLanguageForTag(RoleValueMapOwlURL + "RoleValueMap");

    public static String RolePath() { return RolePath; };
    public static String RoleValueMapType() { return RoleValueMapType; };
    public static String RoleValueMap() { return RoleValueMap; };

     // Properties
    public static final String hasRoleValueMapType = OntologyLanguageTagSelector.selectLanguageForTag(RoleValueMapOwlURL + "hasRoleValueMapType");
    public static final String hasLeftRolePath = OntologyLanguageTagSelector.selectLanguageForTag(RoleValueMapOwlURL + "hasLeftRolePath");
    public static final String hasRightRolePath = OntologyLanguageTagSelector.selectLanguageForTag(RoleValueMapOwlURL + "hasRightRolePath");
    public static final String hasPathElementContent = OntologyLanguageTagSelector.selectLanguageForTag(RoleValueMapOwlURL + "hasPathElementContent");
    public static final String hasRoleValueMap = OntologyLanguageTagSelector.selectLanguageForTag(RoleValueMapOwlURL + "hasRoleValueMap");

    public static String hasRoleValueMapType() { return hasRoleValueMapType; };
    public static String hasLeftRolePath() { return hasLeftRolePath; };
    public static String hasRightRolePath() { return hasRightRolePath; };
    public static String hasPathElementContent() { return hasPathElementContent; };
    public static String hasRoleValueMap() { return hasRoleValueMap; };

     // Instances
    public static final String ContainmentFromRightToLeftMap = OntologyLanguageTagSelector.selectLanguageForTag(RoleValueMapOwlURL + "ContainmentFromRightToLeftMap");
    public static final String ContainmentFromLeftToRightMap = OntologyLanguageTagSelector.selectLanguageForTag(RoleValueMapOwlURL + "ContainmentFromLeftToRightMap");
    public static final String StringStartsWithMap = OntologyLanguageTagSelector.selectLanguageForTag(RoleValueMapOwlURL + "StringStartsWithMap");
    public static final String UnemptyIntersectionMap = OntologyLanguageTagSelector.selectLanguageForTag(RoleValueMapOwlURL + "UnemptyIntersectionMap");
    public static final String DisjoinmentMap = OntologyLanguageTagSelector.selectLanguageForTag(RoleValueMapOwlURL + "DisjoinmentMap");
    public static final String NumericEqualityMap = OntologyLanguageTagSelector.selectLanguageForTag(RoleValueMapOwlURL + "NumericEqualityMap");
    public static final String LessThanMap = OntologyLanguageTagSelector.selectLanguageForTag(RoleValueMapOwlURL + "LessThanMap");
    public static final String GreaterOrEqualMap = OntologyLanguageTagSelector.selectLanguageForTag(RoleValueMapOwlURL + "GreaterOrEqualMap");
    public static final String StringContainmentMap = OntologyLanguageTagSelector.selectLanguageForTag(RoleValueMapOwlURL + "StringContainmentMap");
    public static final String StringEqualityMap = OntologyLanguageTagSelector.selectLanguageForTag(RoleValueMapOwlURL + "StringEqualityMap");
    public static final String LessOrEqualMap = OntologyLanguageTagSelector.selectLanguageForTag(RoleValueMapOwlURL + "LessOrEqualMap");
    public static final String EqualityMap = OntologyLanguageTagSelector.selectLanguageForTag(RoleValueMapOwlURL + "EqualityMap");
    public static final String GreaterThanMap = OntologyLanguageTagSelector.selectLanguageForTag(RoleValueMapOwlURL + "GreaterThanMap");

    public static String ContainmentFromRightToLeftMap() { return ContainmentFromRightToLeftMap; };
    public static String ContainmentFromLeftToRightMap() { return ContainmentFromLeftToRightMap; };
    public static String StringStartsWithMap() { return StringStartsWithMap; };
    public static String UnemptyIntersectionMap() { return UnemptyIntersectionMap; };
    public static String DisjoinmentMap() { return DisjoinmentMap; };
    public static String NumericEqualityMap() { return NumericEqualityMap; };
    public static String LessThanMap() { return LessThanMap; };
    public static String GreaterOrEqualMap() { return GreaterOrEqualMap; };
    public static String StringContainmentMap() { return StringContainmentMap; };
    public static String StringEqualityMap() { return StringEqualityMap; };
    public static String LessOrEqualMap() { return LessOrEqualMap; };
    public static String EqualityMap() { return EqualityMap; };
    public static String GreaterThanMap() { return GreaterThanMap; };
}
