package kaos.ontology.vocabulary;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class XMLSchemaConcepts
{
	final private static String XMLSchemaOwlURL = "http://ontology.ihmc.us/XMLSchema.owl#";

    public static String XMLSchemaOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(XMLSchemaOwlURL); 
	}

     // Concepts
    public static final String XMLSchema = OntologyLanguageTagSelector.selectLanguageForTag(XMLSchemaOwlURL + "XMLSchema");
    public static final String PatternFacet = OntologyLanguageTagSelector.selectLanguageForTag(XMLSchemaOwlURL + "PatternFacet");
    public static final String XMLSchemaDatatype = OntologyLanguageTagSelector.selectLanguageForTag(XMLSchemaOwlURL + "XMLSchemaDatatype");
    public static final String MaxInclusiveFacet = OntologyLanguageTagSelector.selectLanguageForTag(XMLSchemaOwlURL + "MaxInclusiveFacet");
    public static final String XMLSchemaDatatypeFacet = OntologyLanguageTagSelector.selectLanguageForTag(XMLSchemaOwlURL + "XMLSchemaDatatypeFacet");
    public static final String MinInclusiveFacet = OntologyLanguageTagSelector.selectLanguageForTag(XMLSchemaOwlURL + "MinInclusiveFacet");
    public static final String MinLengthFacet = OntologyLanguageTagSelector.selectLanguageForTag(XMLSchemaOwlURL + "MinLengthFacet");
    public static final String MaxExclusiveFacet = OntologyLanguageTagSelector.selectLanguageForTag(XMLSchemaOwlURL + "MaxExclusiveFacet");
    public static final String MaxLengthFacet = OntologyLanguageTagSelector.selectLanguageForTag(XMLSchemaOwlURL + "MaxLengthFacet");
    public static final String LengthFacet = OntologyLanguageTagSelector.selectLanguageForTag(XMLSchemaOwlURL + "LengthFacet");
    public static final String MinExclusiveFacet = OntologyLanguageTagSelector.selectLanguageForTag(XMLSchemaOwlURL + "MinExclusiveFacet");

    public static String XMLSchema() { return XMLSchema; };
    public static String PatternFacet() { return PatternFacet; };
    public static String XMLSchemaDatatype() { return XMLSchemaDatatype; };
    public static String MaxInclusiveFacet() { return MaxInclusiveFacet; };
    public static String XMLSchemaDatatypeFacet() { return XMLSchemaDatatypeFacet; };
    public static String MinInclusiveFacet() { return MinInclusiveFacet; };
    public static String MinLengthFacet() { return MinLengthFacet; };
    public static String MaxExclusiveFacet() { return MaxExclusiveFacet; };
    public static String MaxLengthFacet() { return MaxLengthFacet; };
    public static String LengthFacet() { return LengthFacet; };
    public static String MinExclusiveFacet() { return MinExclusiveFacet; };

     // Properties
    public static final String facetValue = OntologyLanguageTagSelector.selectLanguageForTag(XMLSchemaOwlURL + "facetValue");
    public static final String hasBasicType = OntologyLanguageTagSelector.selectLanguageForTag(XMLSchemaOwlURL + "hasBasicType");
    public static final String hasFacet = OntologyLanguageTagSelector.selectLanguageForTag(XMLSchemaOwlURL + "hasFacet");

    public static String facetValue() { return facetValue; };
    public static String hasBasicType() { return hasBasicType; };
    public static String hasFacet() { return hasFacet; };

     // Instances

}
