package kaos.ontology.vocabulary.security;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class PhysicalSecurityActionConcepts
{
	final private static String PhysicalSecurityActionOwlURL = "http://ontology.ihmc.us/Security/PhysicalSecurity/PhysicalSecurityAction.owl#";

    public static String PhysicalSecurityActionOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(PhysicalSecurityActionOwlURL); 
	}

	// Concepts
    public static final String PatrolLevel = OntologyLanguageTagSelector.selectLanguageForTag(PhysicalSecurityActionOwlURL + "PatrolLevel");
    public static final String InspectLicensePlate = OntologyLanguageTagSelector.selectLanguageForTag(PhysicalSecurityActionOwlURL + "InspectLicensePlate");
    public static final String LookInsideCar = OntologyLanguageTagSelector.selectLanguageForTag(PhysicalSecurityActionOwlURL + "LookInsideCar");
    public static final String InspectVIN = OntologyLanguageTagSelector.selectLanguageForTag(PhysicalSecurityActionOwlURL + "InspectVIN");
    public static final String Patrol = OntologyLanguageTagSelector.selectLanguageForTag(PhysicalSecurityActionOwlURL + "Patrol");

    public static String PatrolLevel() { return PatrolLevel; };
    public static String InspectLicensePlate() { return InspectLicensePlate; };
    public static String LookInsideCar() { return LookInsideCar; };
    public static String InspectVIN() { return InspectVIN; };
    public static String Patrol() { return Patrol; };

	// Properties


	// Instances

}
