package kaos.ontology.vocabulary.task;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class TaskActionConcepts
{
	final private static String TaskActionOwlURL = "http://ontology.ihmc.us/Task/TaskAction.owl#";

    public static String TaskActionOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(TaskActionOwlURL); 
	}

	// Concepts
    public static final String TaskAction = OntologyLanguageTagSelector.selectLanguageForTag(TaskActionOwlURL + "TaskAction");
    public static final String TaskFailure = OntologyLanguageTagSelector.selectLanguageForTag(TaskActionOwlURL + "TaskFailure");
    public static final String TaskStatusNotificationAction = OntologyLanguageTagSelector.selectLanguageForTag(TaskActionOwlURL + "TaskStatusNotificationAction");
    public static final String TaskCompleted = OntologyLanguageTagSelector.selectLanguageForTag(TaskActionOwlURL + "TaskCompleted");
    public static final String TaskDelegation = OntologyLanguageTagSelector.selectLanguageForTag(TaskActionOwlURL + "TaskDelegation");
    public static final String TaskIntended = OntologyLanguageTagSelector.selectLanguageForTag(TaskActionOwlURL + "TaskIntended");
    public static final String NotificationMode = OntologyLanguageTagSelector.selectLanguageForTag(TaskActionOwlURL + "NotificationMode");
    public static final String TaskStarted = OntologyLanguageTagSelector.selectLanguageForTag(TaskActionOwlURL + "TaskStarted");

    public static String TaskAction() { return TaskAction; };
    public static String TaskFailure() { return TaskFailure; };
    public static String TaskStatusNotificationAction() { return TaskStatusNotificationAction; };
    public static String TaskCompleted() { return TaskCompleted; };
    public static String TaskDelegation() { return TaskDelegation; };
    public static String TaskIntended() { return TaskIntended; };
    public static String NotificationMode() { return NotificationMode; };
    public static String TaskStarted() { return TaskStarted; };

	// Properties
    public static final String hasRequestInfo = OntologyLanguageTagSelector.selectLanguageForTag(TaskActionOwlURL + "hasRequestInfo");
    public static final String hasNotificationMode = OntologyLanguageTagSelector.selectLanguageForTag(TaskActionOwlURL + "hasNotificationMode");
    public static final String hasTask = OntologyLanguageTagSelector.selectLanguageForTag(TaskActionOwlURL + "hasTask");
    public static final String hasTaskRequestor = OntologyLanguageTagSelector.selectLanguageForTag(TaskActionOwlURL + "hasTaskRequestor");
    public static final String hasTaskStatus = OntologyLanguageTagSelector.selectLanguageForTag(TaskActionOwlURL + "hasTaskStatus");
    public static final String hasDelegee = OntologyLanguageTagSelector.selectLanguageForTag(TaskActionOwlURL + "hasDelegee");

    public static String hasRequestInfo() { return hasRequestInfo; };
    public static String hasNotificationMode() { return hasNotificationMode; };
    public static String hasTask() { return hasTask; };
    public static String hasTaskRequestor() { return hasTaskRequestor; };
    public static String hasTaskStatus() { return hasTaskStatus; };
    public static String hasDelegee() { return hasDelegee; };

	// Instances
    public static final String SpeechMode = OntologyLanguageTagSelector.selectLanguageForTag(TaskActionOwlURL + "SpeechMode");

    public static String SpeechMode() { return SpeechMode; };
}
