package kaos.ontology.vocabulary;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class timeConcepts
{
	final private static String timeOwlURL = "http://www.w3.org/2006/time.rdf#";

    public static String timeOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL); 
	}

     // Concepts


     // Properties


     // Instances

     // Concepts
    public static final String TemporalEntity = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "TemporalEntity");
    public static final String DateTimeInterval = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "DateTimeInterval");
    public static final String Interval = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "Interval");
    public static final String ProperInterval = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "ProperInterval");
    public static final String Year = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "Year");
    public static final String TemporalUnit = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "TemporalUnit");
    public static final String DurationDescription = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "DurationDescription");
    public static final String DateTimeDescription = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "DateTimeDescription");
    public static final String Instant = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "Instant");
    public static final String IntervalEvent = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "IntervalEvent");
    public static final String January = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "January");
    public static final String DayOfWeek = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "DayOfWeek");

    public static String TemporalEntity() { return TemporalEntity; };
    public static String DateTimeInterval() { return DateTimeInterval; };
    public static String Interval() { return Interval; };
    public static String ProperInterval() { return ProperInterval; };
    public static String Year() { return Year; };
    public static String TemporalUnit() { return TemporalUnit; };
    public static String DurationDescription() { return DurationDescription; };
    public static String DateTimeDescription() { return DateTimeDescription; };
    public static String Instant() { return Instant; };
    public static String IntervalEvent() { return IntervalEvent; };
    public static String January() { return January; };
    public static String DayOfWeek() { return DayOfWeek; };

     // Properties
    public static final String hour = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "hour");
    public static final String days = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "days");
    public static final String seconds = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "seconds");
    public static final String hasDurationDescription = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "hasDurationDescription");
    public static final String before = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "before");
    public static final String week = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "week");
    public static final String intervalOverlaps = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "intervalOverlaps");
    public static final String inside = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "inside");
    public static final String hasBeginning = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "hasBeginning");
    public static final String hours = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "hours");
    public static final String weeks = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "weeks");
    public static final String year = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "year");
    public static final String intervalEquals = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "intervalEquals");
    public static final String inDateTime = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "inDateTime");
    public static final String xsdDateTime = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "xsdDateTime");
    public static final String intervalStarts = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "intervalStarts");
    public static final String timeZone = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "timeZone");
    public static final String day = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "day");
    public static final String intervalContains = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "intervalContains");
    public static final String dayOfYear = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "dayOfYear");
    public static final String years = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "years");
    public static final String hasDateTimeDescription = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "hasDateTimeDescription");
    public static final String intervalOverlappedBy = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "intervalOverlappedBy");
    public static final String intervalFinishedBy = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "intervalFinishedBy");
    public static final String minute = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "minute");
    public static final String inXSDDateTime = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "inXSDDateTime");
    public static final String months = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "months");
    public static final String second = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "second");
    public static final String after = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "after");
    public static final String minutes = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "minutes");
    public static final String hasEnd = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "hasEnd");
    public static final String intervalDuring = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "intervalDuring");
    public static final String intervalFinishes = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "intervalFinishes");
    public static final String intervalBefore = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "intervalBefore");
    public static final String intervalMeets = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "intervalMeets");
    public static final String intervalAfter = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "intervalAfter");
    public static final String unitType = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "unitType");
    public static final String dayOfWeek = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "dayOfWeek");
    public static final String month = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "month");
    public static final String intervalMetBy = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "intervalMetBy");
    public static final String intervalStartedBy = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "intervalStartedBy");

    public static String hour() { return hour; };
    public static String days() { return days; };
    public static String seconds() { return seconds; };
    public static String hasDurationDescription() { return hasDurationDescription; };
    public static String before() { return before; };
    public static String week() { return week; };
    public static String intervalOverlaps() { return intervalOverlaps; };
    public static String inside() { return inside; };
    public static String hasBeginning() { return hasBeginning; };
    public static String hours() { return hours; };
    public static String weeks() { return weeks; };
    public static String year() { return year; };
    public static String intervalEquals() { return intervalEquals; };
    public static String inDateTime() { return inDateTime; };
    public static String xsdDateTime() { return xsdDateTime; };
    public static String intervalStarts() { return intervalStarts; };
    public static String timeZone() { return timeZone; };
    public static String day() { return day; };
    public static String intervalContains() { return intervalContains; };
    public static String dayOfYear() { return dayOfYear; };
    public static String years() { return years; };
    public static String hasDateTimeDescription() { return hasDateTimeDescription; };
    public static String intervalOverlappedBy() { return intervalOverlappedBy; };
    public static String intervalFinishedBy() { return intervalFinishedBy; };
    public static String minute() { return minute; };
    public static String inXSDDateTime() { return inXSDDateTime; };
    public static String months() { return months; };
    public static String second() { return second; };
    public static String after() { return after; };
    public static String minutes() { return minutes; };
    public static String hasEnd() { return hasEnd; };
    public static String intervalDuring() { return intervalDuring; };
    public static String intervalFinishes() { return intervalFinishes; };
    public static String intervalBefore() { return intervalBefore; };
    public static String intervalMeets() { return intervalMeets; };
    public static String intervalAfter() { return intervalAfter; };
    public static String unitType() { return unitType; };
    public static String dayOfWeek() { return dayOfWeek; };
    public static String month() { return month; };
    public static String intervalMetBy() { return intervalMetBy; };
    public static String intervalStartedBy() { return intervalStartedBy; };

     // Instances
    public static final String Thursday = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "Thursday");
    public static final String unitWeek = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "unitWeek");
    public static final String unitHour = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "unitHour");
    public static final String unitDay = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "unitDay");
    public static final String Monday = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "Monday");
    public static final String unitYear = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "unitYear");
    public static final String unitMinute = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "unitMinute");
    public static final String Friday = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "Friday");
    public static final String Saturday = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "Saturday");
    public static final String Sunday = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "Sunday");
    public static final String unitMonth = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "unitMonth");
    public static final String Wednesday = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "Wednesday");
    public static final String unitSecond = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "unitSecond");
    public static final String Tuesday = OntologyLanguageTagSelector.selectLanguageForTag(timeOwlURL + "Tuesday");

    public static String Thursday() { return Thursday; };
    public static String unitWeek() { return unitWeek; };
    public static String unitHour() { return unitHour; };
    public static String unitDay() { return unitDay; };
    public static String Monday() { return Monday; };
    public static String unitYear() { return unitYear; };
    public static String unitMinute() { return unitMinute; };
    public static String Friday() { return Friday; };
    public static String Saturday() { return Saturday; };
    public static String Sunday() { return Sunday; };
    public static String unitMonth() { return unitMonth; };
    public static String Wednesday() { return Wednesday; };
    public static String unitSecond() { return unitSecond; };
    public static String Tuesday() { return Tuesday; };
}
