package kaos.test.ontology;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class TestOntologyConcepts
{
	final private static String TestOntologyOwlURL = "http://mj.ihmc.us/TestOntology.owl#";

    public static String TestOntologyOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(TestOntologyOwlURL); 
	}

     // Concepts
    public static final String TestAction_1 = OntologyLanguageTagSelector.selectLanguageForTag(TestOntologyOwlURL + "TestAction_1");
    public static final String TestAction = OntologyLanguageTagSelector.selectLanguageForTag(TestOntologyOwlURL + "TestAction");
    public static final String TestAction_4 = OntologyLanguageTagSelector.selectLanguageForTag(TestOntologyOwlURL + "TestAction_4");
    public static final String TestProperty = OntologyLanguageTagSelector.selectLanguageForTag(TestOntologyOwlURL + "TestProperty");
    public static final String TestAction_2 = OntologyLanguageTagSelector.selectLanguageForTag(TestOntologyOwlURL + "TestAction_2");
    public static final String TestAction_3 = OntologyLanguageTagSelector.selectLanguageForTag(TestOntologyOwlURL + "TestAction_3");

    public static String TestAction_1() { return TestAction_1; };
    public static String TestAction() { return TestAction; };
    public static String TestAction_4() { return TestAction_4; };
    public static String TestProperty() { return TestProperty; };
    public static String TestAction_2() { return TestAction_2; };
    public static String TestAction_3() { return TestAction_3; };

     // Properties
    public static final String hasTestProperty = OntologyLanguageTagSelector.selectLanguageForTag(TestOntologyOwlURL + "hasTestProperty");

    public static String hasTestProperty() { return hasTestProperty; };

     // Instances
    public static final String value_1 = OntologyLanguageTagSelector.selectLanguageForTag(TestOntologyOwlURL + "value_1");
    public static final String value_2 = OntologyLanguageTagSelector.selectLanguageForTag(TestOntologyOwlURL + "value_2");

    public static String value_1() { return value_1; };
    public static String value_2() { return value_2; };
}
