package kaos.tools.webServiceTool;

import java.io.Serializable;

/**
 * Object the indicates the name, type and reference of each
 * element in the web service
 *
 * Date: Oct 15, 2010
 * Time: 3:55:36 PM
 * @author Maggie Breedy <KAoS group>
 * @version: $Revision: 1.3 $
 */
public class ElementObject extends Object implements Serializable
{
    public ElementObject (String name, String type, String ref, String maxOccur, String minOccur)
    {
        _name = name;
        _type = type;
        _ref = ref;
        _maxOccur = maxOccur;
        _minOccur = minOccur;
    }

    //Variables
    public String _name;    //Element name
    public String _type;    //Element type
    public String _ref;     //Element reference
    public String _maxOccur; //Element maxOccur
    public String _minOccur; //Element minOccur
}