package kaos.tools.webServiceTool;

import java.io.Serializable;
import java.util.Vector;

/**
 * Object for the parametes of each operation described in the wsdl file
 *
 * Date: Sep 28, 2010
 * Time: 10:32:44 AM
 * @author Maggie Breedy
 * @version: $Revision: 1.7 $
 *
 */
public class ParametersObject implements Serializable
{
    public ParametersObject (Vector<String> wsdlParam, Vector<String> wsdlTypes, Vector<String> owlPropertyName,
                             Vector<String> owlPropertyRange, Vector<String> minOcParam, Vector<String> maxOcParam,
                             Vector<Object> sequencesVector)
    {
        _wsdlParam = wsdlParam;
        _wsdlTypes = wsdlTypes;
        _owlPropertyName = owlPropertyName;
        _owlPropertyRange = owlPropertyRange;
        _minOcParam = minOcParam;
        _maxOcParam = maxOcParam;
        _sequencesVector = sequencesVector;
    }

    //Variables
    public Vector<String> _wsdlParam;           //Vector of parameters for each operation
    public Vector<String> _wsdlTypes;           //Vector of types for each operation
    public Vector<String> _owlPropertyName;     //Vector of owl properties
    public Vector<String> _owlPropertyRange;    //Vector of owl range
    public Vector<String> _minOcParam;          //Vector of minimum occurence parameter
    public Vector<String> _maxOcParam;          //Vector of maximun occurence parameter
    public Vector<Object> _sequencesVector;     //Vector of sequences for Mib Tables
}