/**
 * Last Modified by: $Author: mvignati $ On: $Date: 2012/01/26 19:29:57 $
 */

package kaos.core.csi.extension.classification;

import ri.service.spi.ServiceFactory;

import javax.agent.service.Service;
import javax.agent.service.ServiceException;
import javax.agent.service.ServiceProperties;

/**
 * Implementation of the JAS service factory to initialize classifiers based on the information provided in the bootstrap data under the context classifier-service 
 * $Revision: 1.7 $
 */
public class ClassifierServiceFactory implements ServiceFactory
{
    public static final String ONT_CLASSIFY_TYPE = "classifier-service";

    /**
     * Empty constructor
     */
    public ClassifierServiceFactory()
    {
    }

    /**
     * @see ri.service.spi.ServiceFactory#getService(javax.agent.service.ServiceProperties)
     */
    public Service getService(ServiceProperties env) throws ServiceException
    {
        InstanceClassifierManager service = InstanceClassifierManagerImpl.getInstance();

        ((InstanceClassifierManagerImpl)service).initialize(env);

        return service;
    }
}
