/*
 * ObligationMonitor.java
 *
 * Created on April 5, 2007, 3:04 PM
 */

package kaos.core.csi.extension.obligation;

import kaos.core.csi.ActionInstanceDescription;
import kaos.core.csi.extension.KAoSExtensionComponent;

/**
 *
 * @author jlott
 */
public interface ObligationMonitor extends KAoSExtensionComponent
{
    public static final String OBLIGATION_MONITOR_URL = "http://ontology.ihmc.us/ObligationMonitor.owl#ObligationMonitor";
    public static final String OBLIGATION_VIOLATION_UPDATE = "ObligationViolation";
    
    public void reportTrigger (ActionInstanceDescription trigger);
    
    public void obligationFulfilled (String triggerId, ActionInstanceDescription obligation);
    
    public void obligationFailed (String triggerId, ActionInstanceDescription obligation);
    
}
