/**
 * Last Modified by: $Author: mvignati $ On: $Date: 2012/01/26 19:29:57 $
 */
package kaos.core.csi.extension.obligation;

import kaos.core.csi.extension.KAoSExtensionComponentManagerImpl;
import ri.service.spi.ServiceFactory;

import javax.agent.service.Service;
import javax.agent.service.ServiceException;
import javax.agent.service.ServiceProperties;

/**
 * This class implements the JAS ServiceFactory interface to instantiate an OntologyAnnotation service and initialize it based on the information provided in the bootstrap file
 * (currently config\guardConfiguration.cfg) in the section: ontology-annotation-service. $Revision: 1.3 $
 */
public class ObligationMonitorFactory implements ServiceFactory
{
    public ObligationMonitorFactory()
    {
        super();
    }

    public Service getService(ServiceProperties env) throws ServiceException
    {
        ObligationMonitorManager service = ObligationMonitorManager.getInstance();
        ((KAoSExtensionComponentManagerImpl)service).initialize(env);

        return service;
    }
}
