/**
 * Last Modified by: $Author: rjeffers $
 * On: $Date: 2006/03/07 16:08:31 $
 */

package kaos.core.csi.extension.state;

/**
 * Defines an exception to be thrown when a specified property is being
 * requested to be monitored, but the property is not defined in the ontology
 * for the given state class.
 * 
 * @author KAoS Team
 *
 * $Revision: 1.1 $
 */
public class InvalidPropertyForMonitoredStateException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 2838535531246316120L;

	/**
	 * 
	 */
	public InvalidPropertyForMonitoredStateException() {
		super();
	}

	/**
	 * @param arg0
	 */
	public InvalidPropertyForMonitoredStateException(String arg0) {
		super(arg0);
	}

	/**
	 * @param arg0
	 * @param arg1
	 */
	public InvalidPropertyForMonitoredStateException(String arg0, Throwable arg1) {
		super(arg0, arg1);
	}

	/**
	 * @param arg0
	 */
	public InvalidPropertyForMonitoredStateException(Throwable arg0) {
		super(arg0);
	}

}
