
/**
 * Last Modified by: $Author: auszok $ On: $Date: 2011/04/07 18:18:50 $
 */
package kaos.core.csi.extension.state;

import kaos.core.csi.extension.KAoSExtensionComponentManagerImpl;
import kaos.core.csi.extension.KAoSExtensionsTypes;

import java.util.HashMap;

public class StateMonitorManagerImpl extends KAoSExtensionComponentManagerImpl implements StateMonitorManager
{
    private static StateMonitorManager __INSTANCE;
    private static boolean __INITIALIZED = false;

    private StateMonitorManagerImpl()
    {
        super(KAoSExtensionsTypes.STATE_SENSORS);
    }

    /**
     * Retrieve an instance of StateMonitorManager.
     *
     * @return a singleton, StateMonitorManagerImpl.
     */
    public static StateMonitorManager getInstance()
    {
        if (__INITIALIZED)
            return __INSTANCE;

        __INSTANCE = new StateMonitorManagerImpl();
        __INITIALIZED = true;

        return __INSTANCE;
    }

    @Override
    public StateSensor getStateMonitor(String ontType)
    {
        return (StateSensor) getComponent(ontType, null);
    }

    @Override
    public void updateState(HashMap<String, HashMap> updates)
    {
        // To change body of implemented methods use File | Settings | File Templates.
    }

    @Override
    public void updateState(String entityID, String stateID, String stateValue)
    {
        // To change body of implemented methods use File | Settings | File Templates.
    }

    @Override
    public void removeStateForEntity(String entityID, String stateID)
    {
        // To change body of implemented methods use File | Settings | File Templates.
    }

    @Override
    public void removeEntity(String entityID)
    {
        // To change body of implemented methods use File | Settings | File Templates.
    }

    @Override
    public void removeState(String stateID)
    {
        // To change body of implemented methods use File | Settings | File Templates.
    }

    @Override
    public String getStateValueForEntity(String entityID, String stateID)
    {
        return null;    // To change body of implemented methods use File | Settings | File Templates.
    }

    @Override
    public HashMap<String, String> getStateValuesForEntity(String entityID)
    {
        return null;    // To change body of implemented methods use File | Settings | File Templates.
    }

}
