package kaos.core.csi.extension.state;

import kaos.core.csi.extension.KAoSExtensionComponent;

import java.awt.Component;
import java.util.ArrayList;

/**
 * This interface defines how State Monitors are instantiated. The should have a constructor without parameters
 * and an initialize method that takes a list of strings from the properties file (./config/state/state.properties)
 */
public interface StateSensor extends KAoSExtensionComponent, StateInterestListener
{
   public void initialize(ArrayList<String> parameters);
   public Component getGui();
}