/**
 * Last Modified by: $Author: auszok $
 * On: $Date: 2005/11/28 15:32:55 $
 */

package kaos.core.csi.policy.enforcement;

/**
 *   EnforcerInitializationException defines an exception to be thrown by the Enforcer class 
 *   when it encounters a problem in initialization.
 *
 *   @author         KAoS Team
 *   $Revision: 1.1 $
 */
public class EnforcerInitializationException extends Exception 
{
    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 8741244647844089142L;

    /**
    *   Constructs a new EnforcerInitializationException with no detail message.
    */
    public EnforcerInitializationException () { 
        
        super(); 
    }

    /**
    *   Constructs a new EnforcerInitializationException with a detail message.
    *   A detail message is a String that describes the exception.
    */
    public EnforcerInitializationException (String s) { 
        
        super(s); 
    }
}
