/**
 * Last Modified by: $Author: auszok $
 * On: $Date: 2012/02/22 17:43:07 $
 */
 
package kaos.core.csi.policy.enforcement;

import kaos.core.csi.extension.KAoSExtensionComponentManager;
/**
 * This interface allowing to manage enforcers
 *
 * $Revision: 1.6 $
 */
public interface EnforcerManager extends KAoSExtensionComponentManager
{
    /**
     * Tries to obtain an enforcer
     *
     * @param  ontologyAttribute    string specifying the ontology attribute, for which a component is requested
     *     
     * @return Enforcer             an instance of the requested enforcer, or null, if the manager was not able to find or create it
     */
    public Enforcer getEnforcer (String ontologyAttribute);
}
