package kaos.core.csi.usecase.infofed.vocabulary;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class InfoFedActionConcepts
{
	final private static String InfoFedActionOwlURL = "http://ontology.ihmc.us/JBI/InfoFedAction.owl#";

    public static String InfoFedActionOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActionOwlURL); 
	}

     // Concepts
    public static final String AssignResurceLimitForFederatesAction = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActionOwlURL + "AssignResurceLimitForFederatesAction");
    public static final String AcceptQueryAction = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActionOwlURL + "AcceptQueryAction");
    public static final String InfoFedQueryAction = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActionOwlURL + "InfoFedQueryAction");
    public static final String ForwardInfObjectAction = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActionOwlURL + "ForwardInfObjectAction");
    public static final String ForwardSubscriptionAction = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActionOwlURL + "ForwardSubscriptionAction");
    public static final String ModifyQueryAction = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActionOwlURL + "ModifyQueryAction");
    public static final String ForwardQueryAction = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActionOwlURL + "ForwardQueryAction");
    public static final String ForwardInformationAboutMetaTypeAction = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActionOwlURL + "ForwardInformationAboutMetaTypeAction");
    public static final String InfoFedAction = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActionOwlURL + "InfoFedAction");
    public static final String AcceptInfObjectAction = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActionOwlURL + "AcceptInfObjectAction");
    public static final String ModifySubscriptionAction = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActionOwlURL + "ModifySubscriptionAction");
    public static final String InfoFedPublishAction = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActionOwlURL + "InfoFedPublishAction");
    public static final String ModifyPublishedInfObjectAction = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActionOwlURL + "ModifyPublishedInfObjectAction");
    public static final String AcceptNewFederateAction = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActionOwlURL + "AcceptNewFederateAction");
    public static final String AssignPriorityToFederateAction = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActionOwlURL + "AssignPriorityToFederateAction");
    public static final String InfoFedSubscriptionAction = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActionOwlURL + "InfoFedSubscriptionAction");
    public static final String AcceptSubscriptionAction = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActionOwlURL + "AcceptSubscriptionAction");

    public static String AssignResurceLimitForFederatesAction() { return AssignResurceLimitForFederatesAction; };
    public static String AcceptQueryAction() { return AcceptQueryAction; };
    public static String InfoFedQueryAction() { return InfoFedQueryAction; };
    public static String ForwardInfObjectAction() { return ForwardInfObjectAction; };
    public static String ForwardSubscriptionAction() { return ForwardSubscriptionAction; };
    public static String ModifyQueryAction() { return ModifyQueryAction; };
    public static String ForwardQueryAction() { return ForwardQueryAction; };
    public static String ForwardInformationAboutMetaTypeAction() { return ForwardInformationAboutMetaTypeAction; };
    public static String InfoFedAction() { return InfoFedAction; };
    public static String AcceptInfObjectAction() { return AcceptInfObjectAction; };
    public static String ModifySubscriptionAction() { return ModifySubscriptionAction; };
    public static String InfoFedPublishAction() { return InfoFedPublishAction; };
    public static String ModifyPublishedInfObjectAction() { return ModifyPublishedInfObjectAction; };
    public static String AcceptNewFederateAction() { return AcceptNewFederateAction; };
    public static String AssignPriorityToFederateAction() { return AssignPriorityToFederateAction; };
    public static String InfoFedSubscriptionAction() { return InfoFedSubscriptionAction; };
    public static String AcceptSubscriptionAction() { return AcceptSubscriptionAction; };

     // Properties
    public static final String hasFederatePriority = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActionOwlURL + "hasFederatePriority");
    public static final String hasRemoteFederate = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActionOwlURL + "hasRemoteFederate");
    public static final String hasResourceUsageLimit = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActionOwlURL + "hasResourceUsageLimit");
    public static final String hasQueryPredicate = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActionOwlURL + "hasQueryPredicate");
    public static final String hasInfoObjectVersion = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActionOwlURL + "hasInfoObjectVersion");
    public static final String hasInfoObjectType = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActionOwlURL + "hasInfoObjectType");
    public static final String hasInfoObject = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActionOwlURL + "hasInfoObject");
    public static final String hasSubscriptionPredicate = OntologyLanguageTagSelector.selectLanguageForTag(InfoFedActionOwlURL + "hasSubscriptionPredicate");

    public static String hasFederatePriority() { return hasFederatePriority; };
    public static String hasRemoteFederate() { return hasRemoteFederate; };
    public static String hasResourceUsageLimit() { return hasResourceUsageLimit; };
    public static String hasQueryPredicate() { return hasQueryPredicate; };
    public static String hasInfoObjectVersion() { return hasInfoObjectVersion; };
    public static String hasInfoObjectType() { return hasInfoObjectType; };
    public static String hasInfoObject() { return hasInfoObject; };
    public static String hasSubscriptionPredicate() { return hasSubscriptionPredicate; };

     // Instances

}
