/*************************************************************

 *                   

 *	  Institute for Human and Machine Cognition,

 *	  2003 ALL RIGHTS RESERVED	

 * 

 * Class:       FailureMessage

 * Last Modified by: $Author: auszok $
 * On: $Date: 2008/01/23 17:17:58 $
 * Date:	August 23, 2004

 ********************************************************************/

/**
 * Last Modified by: $Author: auszok $
 * On: $Date: 2008/01/23 17:17:58 $
 */

package kaos.core.csi.util;

import kaos.core.csi.ActionInstanceDescription;

import java.io.Serializable;

public class FailureMessage implements Serializable
{
	/**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = -4547734133692274908L;
    
    private String _failureType;
	private ActionInstanceDescription _failedAction;
	private String _policyID;
	
	public FailureMessage(String failureType,
						  ActionInstanceDescription action)
	{
		_failureType = failureType;
		_failedAction = action;		
	}
	
	public FailureMessage(String failureType,
						  ActionInstanceDescription action,
						  String policyID)
	{
		_failureType = failureType;
		_failedAction = action;
		_policyID = policyID;
	}
	
	public String getFailureType()
	{
		return _failureType;
	}
	
	public ActionInstanceDescription getFailedAction()
	{
		return _failedAction;
	}
	
	public String getPolicyID()
	{
		return _policyID;
	}
}

