package kaos.ontology.vocabulary;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class DelegationActionConcepts
{
	final private static String DelegationActionOwlURL = "http://ontology.ihmc.us/DelegationAction.owl#";

    public static String DelegationActionOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(DelegationActionOwlURL); 
	}

     // Concepts
    public static final String RevertDelegationAction = OntologyLanguageTagSelector.selectLanguageForTag(DelegationActionOwlURL + "RevertDelegationAction");
    public static final String DelegationAction = OntologyLanguageTagSelector.selectLanguageForTag(DelegationActionOwlURL + "DelegationAction");

    public static String RevertDelegationAction() { return RevertDelegationAction; };
    public static String DelegationAction() { return DelegationAction; };

     // Properties
    public static final String hasDelegationContext = OntologyLanguageTagSelector.selectLanguageForTag(DelegationActionOwlURL + "hasDelegationContext");
    public static final String hasDelegee = OntologyLanguageTagSelector.selectLanguageForTag(DelegationActionOwlURL + "hasDelegee");
    public static final String hasDelegationAction = OntologyLanguageTagSelector.selectLanguageForTag(DelegationActionOwlURL + "hasDelegationAction");
    public static final String hasDelegatedRole = OntologyLanguageTagSelector.selectLanguageForTag(DelegationActionOwlURL + "hasDelegatedRole");

    public static String hasDelegationContext() { return hasDelegationContext; };
    public static String hasDelegee() { return hasDelegee; };
    public static String hasDelegationAction() { return hasDelegationAction; };
    public static String hasDelegatedRole() { return hasDelegatedRole; };

     // Instances

}
