package kaos.ontology.vocabulary;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class InformationConcepts
{
	final private static String InformationOwlURL = "http://ontology.ihmc.us/Information.owl#";

    public static String InformationOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(InformationOwlURL); 
	}

     // Concepts
    public static final String Information = OntologyLanguageTagSelector.selectLanguageForTag(InformationOwlURL + "Information");
    public static final String Message = OntologyLanguageTagSelector.selectLanguageForTag(InformationOwlURL + "Message");

    public static String Information() { return Information; };
    public static String Message() { return Message; };

     // Properties
    public static final String hasCreator = OntologyLanguageTagSelector.selectLanguageForTag(InformationOwlURL + "hasCreator");
    public static final String hasCreationDate = OntologyLanguageTagSelector.selectLanguageForTag(InformationOwlURL + "hasCreationDate");

    public static String hasCreator() { return hasCreator; };
    public static String hasCreationDate() { return hasCreationDate; };

     // Instances

}
