package kaos.ontology.vocabulary;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class KAoSConfigurationConcepts
{
	final private static String KAoSConfigurationOwlURL = "http://ontology.ihmc.us/KAoSConfiguration.owl#";

    public static String KAoSConfigurationOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(KAoSConfigurationOwlURL); 
	}

     // Concepts
    public static final String RelationNetworkType = OntologyLanguageTagSelector.selectLanguageForTag(KAoSConfigurationOwlURL + "RelationNetworkType");
    public static final String KAoSConfiguration = OntologyLanguageTagSelector.selectLanguageForTag(KAoSConfigurationOwlURL + "KAoSConfiguration");

    public static String RelationNetworkType() { return RelationNetworkType; };
    public static String KAoSConfiguration() { return KAoSConfiguration; };

     // Properties
    public static final String hasDescription = OntologyLanguageTagSelector.selectLanguageForTag(KAoSConfigurationOwlURL + "hasDescription");
    public static final String hasPolicy = OntologyLanguageTagSelector.selectLanguageForTag(KAoSConfigurationOwlURL + "hasPolicy");
    public static final String hasRegisteredDomain = OntologyLanguageTagSelector.selectLanguageForTag(KAoSConfigurationOwlURL + "hasRegisteredDomain");
    public static final String hasPolicySet = OntologyLanguageTagSelector.selectLanguageForTag(KAoSConfigurationOwlURL + "hasPolicySet");
    public static final String hasRelationType = OntologyLanguageTagSelector.selectLanguageForTag(KAoSConfigurationOwlURL + "hasRelationType");
    public static final String hasPolicyGUITemplate = OntologyLanguageTagSelector.selectLanguageForTag(KAoSConfigurationOwlURL + "hasPolicyGUITemplate");
    public static final String hasFilteredNamespace = OntologyLanguageTagSelector.selectLanguageForTag(KAoSConfigurationOwlURL + "hasFilteredNamespace");
    public static final String hasKAoSUser = OntologyLanguageTagSelector.selectLanguageForTag(KAoSConfigurationOwlURL + "hasKAoSUser");
    public static final String hasRootActorClass = OntologyLanguageTagSelector.selectLanguageForTag(KAoSConfigurationOwlURL + "hasRootActorClass");
    public static final String refersOntologyConcept = OntologyLanguageTagSelector.selectLanguageForTag(KAoSConfigurationOwlURL + "refersOntologyConcept");
    public static final String hasAuthorityName = OntologyLanguageTagSelector.selectLanguageForTag(KAoSConfigurationOwlURL + "hasAuthorityName");
    public static final String hasAuthorityPriority = OntologyLanguageTagSelector.selectLanguageForTag(KAoSConfigurationOwlURL + "hasAuthorityPriority");
    public static final String hasTestAction = OntologyLanguageTagSelector.selectLanguageForTag(KAoSConfigurationOwlURL + "hasTestAction");
    public static final String hasRegisteredActor = OntologyLanguageTagSelector.selectLanguageForTag(KAoSConfigurationOwlURL + "hasRegisteredActor");
    public static final String hasXMLSchema = OntologyLanguageTagSelector.selectLanguageForTag(KAoSConfigurationOwlURL + "hasXMLSchema");

    public static String hasDescription() { return hasDescription; };
    public static String hasPolicy() { return hasPolicy; };
    public static String hasRegisteredDomain() { return hasRegisteredDomain; };
    public static String hasPolicySet() { return hasPolicySet; };
    public static String hasRelationType() { return hasRelationType; };
    public static String hasPolicyGUITemplate() { return hasPolicyGUITemplate; };
    public static String hasFilteredNamespace() { return hasFilteredNamespace; };
    public static String hasKAoSUser() { return hasKAoSUser; };
    public static String hasRootActorClass() { return hasRootActorClass; };
    public static String refersOntologyConcept() { return refersOntologyConcept; };
    public static String hasAuthorityName() { return hasAuthorityName; };
    public static String hasAuthorityPriority() { return hasAuthorityPriority; };
    public static String hasTestAction() { return hasTestAction; };
    public static String hasRegisteredActor() { return hasRegisteredActor; };
    public static String hasXMLSchema() { return hasXMLSchema; };

     // Instances
    public static final String Slave = OntologyLanguageTagSelector.selectLanguageForTag(KAoSConfigurationOwlURL + "Slave");
    public static final String Peer = OntologyLanguageTagSelector.selectLanguageForTag(KAoSConfigurationOwlURL + "Peer");
    public static final String Master = OntologyLanguageTagSelector.selectLanguageForTag(KAoSConfigurationOwlURL + "Master");

    public static String Slave() { return Slave; };
    public static String Peer() { return Peer; };
    public static String Master() { return Master; };
}
