package kaos.ontology.vocabulary;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class PlaceConcepts
{
	final private static String PlaceOwlURL = "http://ontology.ihmc.us/Place.owl#";

    public static String PlaceOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(PlaceOwlURL); 
	}

     // Concepts
    public static final String Address = OntologyLanguageTagSelector.selectLanguageForTag(PlaceOwlURL + "Address");
    public static final String Link = OntologyLanguageTagSelector.selectLanguageForTag(PlaceOwlURL + "Link");
    public static final String Place = OntologyLanguageTagSelector.selectLanguageForTag(PlaceOwlURL + "Place");

    public static String Address() { return Address; };
    public static String Link() { return Link; };
    public static String Place() { return Place; };

     // Properties
    public static final String connects = OntologyLanguageTagSelector.selectLanguageForTag(PlaceOwlURL + "connects");
    public static final String isEncompassedBy = OntologyLanguageTagSelector.selectLanguageForTag(PlaceOwlURL + "isEncompassedBy");
    public static final String encompasses = OntologyLanguageTagSelector.selectLanguageForTag(PlaceOwlURL + "encompasses");
    public static final String hasAddress = OntologyLanguageTagSelector.selectLanguageForTag(PlaceOwlURL + "hasAddress");
    public static final String hasPlace = OntologyLanguageTagSelector.selectLanguageForTag(PlaceOwlURL + "hasPlace");

    public static String connects() { return connects; };
    public static String isEncompassedBy() { return isEncompassedBy; };
    public static String encompasses() { return encompasses; };
    public static String hasAddress() { return hasAddress; };
    public static String hasPlace() { return hasPlace; };

     // Instances

}
