package kaos.ontology.vocabulary;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class PolicyActionConcepts
{
	final private static String PolicyActionOwlURL = "http://ontology.ihmc.us/PolicyAction.owl#";

    public static String PolicyActionOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(PolicyActionOwlURL); 
	}

     // Concepts
    public static final String PolicyLoggingAction = OntologyLanguageTagSelector.selectLanguageForTag(PolicyActionOwlURL + "PolicyLoggingAction");
    public static final String ObligateAction = OntologyLanguageTagSelector.selectLanguageForTag(PolicyActionOwlURL + "ObligateAction");
    public static final String PolicyModificationAction = OntologyLanguageTagSelector.selectLanguageForTag(PolicyActionOwlURL + "PolicyModificationAction");
    public static final String AddPolicyAction = OntologyLanguageTagSelector.selectLanguageForTag(PolicyActionOwlURL + "AddPolicyAction");
    public static final String AuthorizationFailureAction = OntologyLanguageTagSelector.selectLanguageForTag(PolicyActionOwlURL + "AuthorizationFailureAction");
    public static final String PolicyQueryAction = OntologyLanguageTagSelector.selectLanguageForTag(PolicyActionOwlURL + "PolicyQueryAction");
    public static final String GrantAuthorizationAction = OntologyLanguageTagSelector.selectLanguageForTag(PolicyActionOwlURL + "GrantAuthorizationAction");
    public static final String PolicyDecisionAction = OntologyLanguageTagSelector.selectLanguageForTag(PolicyActionOwlURL + "PolicyDecisionAction");
    public static final String RemovePolicyAction = OntologyLanguageTagSelector.selectLanguageForTag(PolicyActionOwlURL + "RemovePolicyAction");
    public static final String PolicyAction = OntologyLanguageTagSelector.selectLanguageForTag(PolicyActionOwlURL + "PolicyAction");
    public static final String PolicyActor = OntologyLanguageTagSelector.selectLanguageForTag(PolicyActionOwlURL + "PolicyActor");

    public static String PolicyLoggingAction() { return PolicyLoggingAction; };
    public static String ObligateAction() { return ObligateAction; };
    public static String PolicyModificationAction() { return PolicyModificationAction; };
    public static String AddPolicyAction() { return AddPolicyAction; };
    public static String AuthorizationFailureAction() { return AuthorizationFailureAction; };
    public static String PolicyQueryAction() { return PolicyQueryAction; };
    public static String GrantAuthorizationAction() { return GrantAuthorizationAction; };
    public static String PolicyDecisionAction() { return PolicyDecisionAction; };
    public static String RemovePolicyAction() { return RemovePolicyAction; };
    public static String PolicyAction() { return PolicyAction; };
    public static String PolicyActor() { return PolicyActor; };

     // Properties
    public static final String involvedPolicy = OntologyLanguageTagSelector.selectLanguageForTag(PolicyActionOwlURL + "involvedPolicy");
    public static final String hasPolicyDiscloser = OntologyLanguageTagSelector.selectLanguageForTag(PolicyActionOwlURL + "hasPolicyDiscloser");
    public static final String hasExecutionConstraint = OntologyLanguageTagSelector.selectLanguageForTag(PolicyActionOwlURL + "hasExecutionConstraint");
    public static final String hasTriggerAction = OntologyLanguageTagSelector.selectLanguageForTag(PolicyActionOwlURL + "hasTriggerAction");
    public static final String onAction = OntologyLanguageTagSelector.selectLanguageForTag(PolicyActionOwlURL + "onAction");
    public static final String onActor = OntologyLanguageTagSelector.selectLanguageForTag(PolicyActionOwlURL + "onActor");

    public static String involvedPolicy() { return involvedPolicy; };
    public static String hasPolicyDiscloser() { return hasPolicyDiscloser; };
    public static String hasExecutionConstraint() { return hasExecutionConstraint; };
    public static String hasTriggerAction() { return hasTriggerAction; };
    public static String onAction() { return onAction; };
    public static String onActor() { return onActor; };

     // Instances

}
