package kaos.ontology.vocabulary.security;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class PhysicalSecurityClassesConcepts
{
	final private static String PhysicalSecurityClassesOwlURL = "http://ontology.ihmc.us/Security/PhysicalSecurity/PhysicalSecurityClasses.owl#";

    public static String PhysicalSecurityClassesOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(PhysicalSecurityClassesOwlURL); 
	}

	// Concepts
    public static final String GaragePatrol = OntologyLanguageTagSelector.selectLanguageForTag(PhysicalSecurityClassesOwlURL + "GaragePatrol");
    public static final String VehicleInspection = OntologyLanguageTagSelector.selectLanguageForTag(PhysicalSecurityClassesOwlURL + "VehicleInspection");

    public static String GaragePatrol() { return GaragePatrol; };
    public static String VehicleInspection() { return VehicleInspection; };

	// Properties


	// Instances

}
