package kaos.policy.builder;

import kaos.kpat.policyTemplates.HypertextPolicyTemplate.CONNECTIVE_TYPE;
import kaos.ontology.util.ClassNameNotSet;
import kaos.ontology.util.KAoSOntClassBuilder;
import kaos.ontology.util.ValueNotSet;

import java.util.List;

public interface CompoundConditionBuilder
{
    // set/get for connective type
    public void setConnectiveType(CONNECTIVE_TYPE connectiveType)throws ClassNameNotSet;
    public CONNECTIVE_TYPE getConnectiveType()throws ValueNotSet;

    // set/get for conditions list
    public void setConditions(List<KAoSOntClassBuilder> conditions)throws ClassNameNotSet;
    public List<KAoSOntClassBuilder> getConditions()throws ValueNotSet;

    public void addCondition(KAoSOntClassBuilder condition);
}
