package kaos.tools.webServiceTool;

import java.io.Serializable;
import java.util.Map;
import java.util.Vector;
import java.util.HashMap;

/**
 * Object for the operations described in the wsdl file
 *
 * Date: Sep 23, 2010
 * Time: 4:51:12 PM
 *
 * @author Maggie Breedy
 * @version: $Revision: 1.5 $
 */

public class OperationsObject implements Serializable
{
    public OperationsObject (String operationName, String actionName, String actionSuperClassName,
                             Map<String, ParametersObject> paramsMap, String objectID)
    {
        _operationName = operationName;
        _actionName = actionName;
        _actionSuperClassName = actionSuperClassName;
        _paramsMap = paramsMap;
        _objectID = objectID;
    }

    //Variables
    public String _operationName;                       //Operation name
    public String _actionName;                          //Action name for the operation
    public String _actionSuperClassName;                //Super action name for the operation
    public Map<String, ParametersObject> _paramsMap;    //Maps the operation name with the parameters object.
    public String _objectID;                            //The object ID of the class. Only for MIB files. Otherwise it
                                                        //is an empty string.
}