package kaos.tools.webServiceTool;

import java.io.Serializable;
import java.util.ArrayList;

/**
 * Object the indicates the service file name and the list of xsd files
 * that defines the some of the services' parameters.
 *
 * Date: Oct 22, 2010
 * @author Maggie Breedy
 * @version: $Revision: 1.2 $
 */
public class TreeFileObject extends Object implements Serializable
{
    public TreeFileObject (String nodeFile, String uri, ArrayList listOfChildren)
    {
        _nodeFile = nodeFile;
        _uri = uri;
        _listOfChildren = listOfChildren;
    }

    //Variables
    public ArrayList _listOfChildren;   //List of xsd files
    public String _nodeFile;            //Service name
    public String _uri;                 //URI of the service
}
